# German

@Serializable(with = IetfLangSerializer::class )
sealed interface German : IetfLang (source)

#### Inheritors

AT
BE
CH
DE
IT
LI
LU
Companion

## Types

AT
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object AT : IetfLang.German
BE
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object BE : IetfLang.German
CH
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object CH : IetfLang.German
Companion
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object Companion : IetfLang.German
DE
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object DE : IetfLang.German
IT
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object IT : IetfLang.German
LI
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object LI : IetfLang.German
LU
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object LU : IetfLang.German

## Properties

code
Link copied to clipboard
abstract val code : String
parentLang
Link copied to clipboard
open val parentLang : IetfLang ?
withoutDialect
Link copied to clipboard
open val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLang . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLang ?. toJavaLocaleOrDefault (): Locale